=== akonadi/contact/editor/im/protocols/CMakeLists.txt ===

install( FILES icqprotocol.desktop
               aimprotocol.desktop
               ircprotocol.desktop
               smsprotocol.desktop
               gaduprotocol.desktop
               jabberprotocol.desktop
               yahooprotocol.desktop
               msnprotocol.desktop
               groupwiseprotocol.desktop
               meanwhileprotocol.desktop
               skypeprotocol.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}/akonadi/contact )
