=== debian/changelog ===
kdepimlibs (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)

  [ Felix Geyer ]
  * Update libakonadi-contact4 symbols file.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 16:49:37 +0200

kdepimlibs (4:4.8.4-0ubuntu0.2) precise-security; urgency=low

  * No change rebuild in the security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Jul 2012 08:06:53 -0400

kdepimlibs (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:37:28 +0200

kdepimlibs (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 22 May 2012 20:03:07 +0200
