## kdepimlibs 4.9.2

=== debian/changelog ===
kdepimlibs (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:25:10 +0100

kdepimlibs (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * update install files 
  * add new symbols to libakonadi-kde4.symbols and libkabc4.symbols

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:24:58 +0530

kdepimlibs (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:50 +0100

kdepimlibs (4:4.9.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Use direct build-depends versions rather than kde-sc-dev-latest

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:13:11 +0100

kdepimlibs (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Update symbols files

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 15:37:43 +0200

kdepimlibs (4:4.8.80a-0ubuntu1) quantal; urgency=low

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Update .install files for name changes
    - Update symbols files

  [ Philip Muškovac ]
  * Merge with debian git, remaining changes:
    - use versioned boost build-depends
    - keep breaks/replaces
    - keep symbol files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 21:48:49 -0400

kdepimlibs (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Switch boost build-dep to 1.49
  * Update symbol files for gcc 4.7

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 19:20:30 +0200

kdepimlibs (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Add libakonadi-notes4 and libkalarmcal2 packages.
  * Update installed files.
  * Remove kio_imap_append.diff, applied upstream.
  * Bump kdelibs5-dev version to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update symbols files.
  * Add symbols files for libakonadi-notes4 and libkalarmcal2.

  [ Modestas Vainius ]
  * Drop upstream_Disambiguations-necessary-for-building-with-clang.patch, was
    backported from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 21:16:23 +0100
