=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends:
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.7), libgpgme11-dev, libldap2-dev, libsasl2-dev,
- libboost1.46-dev, libboost-graph1.46-dev, shared-mime-info,
- libakonadi-dev (>= 1.5.52), libical-dev (>= 0.42),
- shared-desktop-ontologies (>= 0.2), libsoprano-dev, xsltproc, uuid-dev,
+ kdelibs5-dev (>= 4:4.9.2), libgpgme11-dev, libldap2-dev, libsasl2-dev,
+ libboost1.49-dev, libboost-graph1.49-dev, shared-mime-info,
+ libakonadi-dev (>= 1.8.0), libical-dev (>= 0.42),
+ shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
  libprison-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pim.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
@@ -39,11 +39,12 @@
  This is a dummy package to ease transition to the new library packages.
  .
  This package is part of the KDE Development Platform PIM libraries module.
- 
+
 Package: kdepimlibs5-dev
 Section: libdevel
 Architecture: any
-Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries}
+Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries},
+ ${misc:Depends}
 Replaces: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepimlibs5 (<< 4:4.4.85)
 Breaks: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepimlibs5 (<< 4:4.4.85)
 Description: development files for the KDE Development Platform PIM libraries
@@ -175,8 +176,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: library for handling alarm calendar data
- This library provides access to and handling of alarm calendar data.
+Description: library for handling kalarm calendar data
+ This library provides access to and handling of kalarm calendar data.
  .
  This package is part of the KDE Development Platform PIM libraries module.
 
@@ -287,3 +288,5 @@
  .
  This package is part of the KDE Development Platform PIM libraries module.
 
+Package: libkmime4
+Section: libs
