## kdepimlibs 4.9.4

=== debian/changelog ===
kdepimlibs (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)
    - drop dont_break_libkabc_abi.diff, applied upstream
    - add new symbol to libakonadi-kde4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:41:13 +0100

kdepimlibs (4:4.9.3-0ubuntu0.2) quantal-proposed; urgency=low

  * Update libkabc4.symbols to match ABI fix in dont_break_libkabc_abi.diff

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Dec 2012 09:23:59 -0500

kdepimlibs (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream release (LP: #1074747)
    - build-depend on libakonadi-dev (>= 1.8.1)
    - update libakonadi-kde4.symbols

  [ Scott Kitterman ]
  * Add debian/patches/dont_break_libkabc_abi.diff to fix ABI break in
    libkabc - Patch from José Manuel Santamaría Lema

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:36:23 +0100
