=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends:
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.9.2), libgpgme11-dev, libldap2-dev, libsasl2-dev,
+ kdelibs5-dev (>= 4:4.9.4), libgpgme11-dev, libldap2-dev, libsasl2-dev,
  libboost1.49-dev, libboost-graph1.49-dev, shared-mime-info,
- libakonadi-dev (>= 1.8.0), libical-dev (>= 0.42),
+ libakonadi-dev (>= 1.8.1), libical-dev (>= 0.42),
  shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
  libprison-dev
 Standards-Version: 3.9.3
